// Craciun Catalin
//  ZumoRobotManager.h
//   © 2014 Catalin Craciun

#ifndef ZumoRobotManagerH
#define ZumoRobotManagerH

class ZumoRobotManager {
    public:
        ZumoRobotManager();
        ~ZumoRobotManager();
        
        float getVelocityX();
        float getVelocityY();
        void setVelocityX(float newValue);
        void setVelocityY(float newValue);
        void applyPowerToRightEngine(int power);
        void applyPowerToLeftEngine(int power);
        bool checkPassword(char toCheck[]);
    private:
        float velocityX;
        float velocityY;
        
        void updateMotors();
};

#endif // ZumoRobotManagerH